/*
  Copyright (C) 2012  Torsten Brischalle

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/
*/

#include <math.h>

#define SWAP(a,b) tempr=(a);(a)=(b);(b)=tempr

//-----------------------------------------------------------------------------

/*  Replaces data[0 .. 2 * nn-1] by its discrete Fourier transform, if isign is input as 1; or replaces
    data[0 .. 2 * nn-1] by nn times its inverse discrete Fourier transform, if isign is input as -1.
    data is a complex array of length nn or, equivalently, a real array of length 2*nn. nn MUST
    be an integer power of 2 (this is not checked for!).
*/

void fft(float data[], unsigned long nn, int isign);

//-----------------------------------------------------------------------------
