/*
  Copyright (C) 2012  Torsten Brischalle

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/
*/

#include "lua_func_string.h"

#include <string.h>

#include "lauxlib.h"
#include "lua_helper.h"

//-----------------------------------------------------------------------------

int lua_func_string_split(lua_State *lua)
{
  const char  *str = luaL_checkstring(lua, 1);
  const char  *delim = luaL_checkstring(lua, 2);
  const char  *str_end = str + strlen(str);
  int         delim_len = strlen(delim);
  int         cnt = 1;
  
  lua_newtable(lua);
  
  while (str < str_end)
  {
    const char *s = strstr(str, delim);
    
    if (!s)
    {
      lua_pushstring(lua, str);
      lua_rawseti(lua, -2, cnt++);
      break;
    }
    else
    {
      lua_pushlstring(lua, str, s - str);
      lua_rawseti(lua, -2, cnt++);
      str = s + delim_len;
    }
  }
  
  return 1;
}

//-----------------------------------------------------------------------------
