/*
  Copyright (C) 2012  Torsten Brischalle

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/
*/

#include <QtGui/QApplication>
#include <QDir>

#include "windowmain.h"

int main(int argc, char *argv[])
{
  QStringList docPath, iconsPath;

  docPath << ("doc");
  docPath << (QDir::currentPath() + "/doc");
  docPath << ("/usr/share/Lua-Quick-Try-Out/doc");
  docPath << ("/usr/local/share/Lua-Quick-Try-Out/doc");

  iconsPath << ("icons");
  iconsPath << (QDir::currentPath() + "/icons");
  iconsPath << ("/usr/share/Lua-Quick-Try-Out/icons");
  iconsPath << ("/usr/local/share/Lua-Quick-Try-Out/icons");

  QDir::setSearchPaths("doc", docPath);
  QDir::setSearchPaths("icons", iconsPath);

  QApplication a(argc, argv);
  WindowMain w;

  a.setWindowIcon(QIcon("icons:Lua-Quick-Try-Out.png"));

  w.show();
  w.ProgramStarted();

  return a.exec();
}
